import { CachedImageLoader } from "../../auto/js/events/CachedImageLoader";

class GlobalState {
    constructor() {
        if (!!GlobalState.instance) {
            return GlobalState.instance;
        }

        GlobalState.instance = this;
        this.avatarImage = new CachedImageLoader("/public/avatar.png");
        return this;
    }

    getAvatarImage () {
        return this.avatarImage;
    }

}

export const globalState = new GlobalState();
